Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.layout.client
Interface Layout.AnimationCallback

Enclosing class:
  Layout

    public static interface Layout.AnimationCallback

Callback interface used by `Layout.layout(int, AnimationCallback)` to provide updates on animation progress.

Method Summary
`void` | `onAnimationComplete()` Called immediately after the animation is complete, and the entire layout is in its final state.
`void` | `onLayout(Layout.Layer layer, double progress)` Called at each step of the animation, for each layer being laid out.

Method Detail

### onAnimationComplete

    void onAnimationComplete()

  Called immediately after the animation is complete, and the entire layout is in its final state.

### onLayout

    void onLayout(Layout.Layer layer,
                  double progress)

  Called at each step of the animation, for each layer being laid out.

  Parameters:
    `layer` - the layer being laid out

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD